#import "template.typ"

#show: doc => template.apply(doc)

#grid(
  gutter: 1em,
  columns: (1fr, 1fr),
  [
    = Linux install
    ```bash
    useradd -m name             # Créer un user avec home et skel
    ```

    = Bash

    ```bash
    ~% FILE="example.tar.gz"
    ~% echo "${FILE%%.*}"       # example
    ~% echo "${FILE%.*}"        # example.tar
    ~% echo "${FILE#*.}"        # tar.gz
    ~% echo "${FILE##*.}"       # gz
    ```

    = Screen


    ```sh
    screen -S name              # Créer un screen nommé
    screen -ls                  # Lister les screens
    screen -r name              # Rattacher un screen
    # <Ctrl+A> <d>              # Se détacher du screen actuel
    ```
  ],
  [
  ]
)

#pagebreak()

#grid(
  gutter: 1em,
  columns: (1fr, 1fr),
  [
    = Matériel

    == Desktop
    #table(columns: (auto, auto),
      [*Carte mère*], [ASUS TUF GAMING B550-PLUS WIFI II],
      [*CPU*], [AMD Ryzen 9 5900X (3.7 GHz / 4.8 GHz, 12 coeurs / 24 threads)],
      [*GPU*], [MSI GeForce RTX 3060 Ti GAMING X TRIO 8GD6X],
      [*RAM*], [Corsair Vengeance LPX 32 Go (2 x 16 Go) DDR4 3600 MHz CL18],
      [*SSD*], [Samsung SSD 970 EVO Plus M.2 PCIe NVMe 2 To],
      [*HDD*], [Seagate BarraCuda 8 To],
      [*Alimentation*], [be quiet! Pure Power 11 600W 80PLUS Gold],
      [*Ventirad*], [be quiet! Dark Rock PRO 4],
      [*Boitier*], [be quiet! Pure Base 500 (Noir)],
    )

    == Laptop
    #table(columns: (auto, auto),
      [*Base*], [Dell Precision 5540 15"],
      [*CPU*], [Intel Core i9-9880H  (2.3 GHz, 8 coeurs / 16 threads)],
      [*GPU*], [NVIDIA Quadro T2000 Mobile],
      [*RAM*], [32 Go (2 x 16 Go)],
      [*SSD*], [PM981a NVMe Samsung 512 Go],
    )

    == Bureau
    #table(columns: (auto, auto),
      [*Écran principal*], [Dell 27" LED - S2721DS],
      [*Écran secondaire*], [iiyama 21.5" LED - ProLite XU2293HS-B5],
      [*Webcam*], [Elgato Facecam],
      [*Micro*], [Blue Microphones Yeti],
    )
  ],
  [
    = Réseau

    #table(
      columns: (auto, auto, auto),
      [*Machine*], [*IPv4*], [*IPv6*],
      [], [], [],
      [*Mnemosyne* (anciennement Kitt)], [192.168.1.101], [],
      [*Phoenix* (anciennement Mnemosyne)], [192.168.1.102], [],
      [*Phoenix* (BMC)], [192.168.1.103], [],
      [], [], [],
      [*RPi* 5 (server)], [192.168.1.201], [::1],
      [*Desktop*], [192.168.1.202], [::1:1],
      [*Laptop*], [192.168.1.203], [::1:2],
      [*RPi 4* (recalbox)], [192.168.1.251], [],
      [], [], [],
      [*Keurstudio*], [192.168.1.145], []
    )

    = Mes webapps

    == tforgione.fr
    - https://tforgione.fr
    - https://storage.tforgione.fr
    - https://twitch.tforgione.fr
    - https://gitea.tforgione.fr
    - https://nuage.tforgione.fr
    - https://push.tforgione.fr
    - https://uptest.tforgione.fr

    == claudiaforgione-avocate.fr
    - https://claudiaforgione-avocate.fr
    - https://www.claudiaforgione-avocate.fr

    == acarlier.fr
    - https://acarlier.fr (proxy IPv4 #sym.arrow.r IPv6)

    == keurstudio.fr
    - https://keurstudio.fr

  ]
)
